# OpenLayers.Feature

Features are combinations of geography and attributes. The OpenLayers.Feature class specifically combines a marker and a lonlat.

Summary

OpenLayers.Feature | Features are combinations of geography and attributes.
Properties |
popupClass | {OpenLayers.Class} The class which will be used to instantiate a new Popup.
Constructor |
OpenLayers.Feature | Constructor for features.

### Properties

### popupClass

{OpenLayers.Class} The class which will be used to instantiate a new Popup. Default is OpenLayers.Popup.Anchored.

### Constructor

### OpenLayers.Feature

Constructor for features.

#### Parameters

layer | {OpenLayers.Layer}
lonlat | {OpenLayers.LonLat}
data | {Object}

#### Returns

{OpenLayers.Feature}

This class represents a longitude and latitude pair
Constructor for features.
Close